Gecode::FlatZinc::MeritMaxCHB Class Reference

Select by maximal CHB. More...

`#include <branch.hh>`

## Public Member Functions

| MeritMaxCHB (Space &home, const IntBoolVarBranch &ibvb)
| Constructor for initialization.
| MeritMaxCHB (Space &home, MeritMaxCHB &m)
| Constructor for cloning.
double | operator() (Int::IntView x, int i) const
| Return merit.
double | operator() (Int::BoolView x, int i) const
| Return merit.
void | dispose (void)
| Dispose.

## Protected Attributes

IntCHB | ichb
| Integer CHB information.
BoolCHB | bchb
| Boolean CHB information.

## Detailed Description

Select by maximal CHB.

Definition at line 206 of file branch.hh.

## Constructor & Destructor Documentation

## MeritMaxCHB() [1/2]

Gecode::FlatZinc::MeritMaxCHB::MeritMaxCHB | ( | Space & | home,
|  | const IntBoolVarBranch & | ibvb )

inline

Constructor for initialization.

Definition at line 249 of file branch.hpp.

## MeritMaxCHB() [2/2]

Gecode::FlatZinc::MeritMaxCHB::MeritMaxCHB | ( | Space & | home,
|  | MeritMaxCHB & | m )

inline

Constructor for cloning.

Definition at line 252 of file branch.hpp.

## Member Function Documentation

## operator()() [1/2]

double Gecode::FlatZinc::MeritMaxCHB::operator() | ( | Int::IntView | x,
|  | int | i ) const

inline

Return merit.

Definition at line 255 of file branch.hpp.

## operator()() [2/2]

double Gecode::FlatZinc::MeritMaxCHB::operator() | ( | Int::BoolView | x,
|  | int | i ) const

inline

Return merit.

Definition at line 259 of file branch.hpp.

## dispose()

void Gecode::FlatZinc::MeritMaxCHB::dispose | ( | void |  | ) |

inline

Dispose.

Definition at line 263 of file branch.hpp.

## Member Data Documentation

## ichb

IntCHB Gecode::FlatZinc::MeritMaxCHB::ichb

protected

Integer CHB information.

Definition at line 209 of file branch.hh.

## bchb

BoolCHB Gecode::FlatZinc::MeritMaxCHB::bchb

protected

Boolean CHB information.

Definition at line 211 of file branch.hh.

The documentation for this class was generated from the following files:

- gecode/flatzinc/branch.hh
- gecode/flatzinc/branch.hpp